### Enumeration

# Vips Direction

#### Declaration

    enum Vips.Direction

#### Description [src]

See `vips_flip()`, `vips_join()` and so on.

Operations like `vips_flip()` need to be told whether to flip left-right or top-bottom.

See also

`vips_flip()`, `vips_join()`.

#### Members

`VIPS_DIRECTION_HORIZONTAL`

  Left-right.

  - Value: `0`
  - Available since: 8.0
`VIPS_DIRECTION_VERTICAL`

  Top-bottom.

  - Value: `1`
  - Available since: 8.0
`VIPS_DIRECTION_LAST`

  No description available.

  - Value: `2`
  - Available since: 8.0